#version 430

layout(location = 4) uniform sampler2D tex0;

in vec2 Vertex_UV;
in vec4 Vertex_Color;

out vec4 FragColor;

void main (void)
{

  vec2 uv = Vertex_UV.xy;
  uv.y *= -1.0;
  vec3 t = texture(tex0,uv).rgb;
  if(t.x == 0.0f && t.y == 0.0f && t.z == 0.0f){
	  FragColor = vec4(t, 0.0f) * Vertex_Color;	
  } else {
	  FragColor = vec4(t, Vertex_Color.w) * Vertex_Color;
  }
}